Bug 748055 - RFE: Provide the ability to dynamically configure installonlypkgs functionality
RFE: Provide the ability to dynamically configure installonlypkgs functionality
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
: FutureFeature
Depends On: 748054 863579
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-21 16:17 EDT by Mike Burns
Modified: 2016-04-26 11:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 748054
Environment:
Last Closed: 2012-10-25 03:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2011-10-21 16:17:10 EDT
+++ This bug was initially created as a clone of Bug #748054 +++

Description of problem:
There are packages that would benefit from being able to have multiple versions installed concurrently, but there is no easy way to do this.  Currently, the only process is to manually change the config.py file or to edit the yum.conf file directly and manually.  In either case, you need to know something about how installonlypkgs works in order to do this.  

If you edit yum.conf, you need to make sure you add the appropriate kernel package(s) to the entry or you risk breaking the machine with the next kernel update.

The ideal solution is for a package that can be installed concurrently to dynamically on installation change the configuration to allow multiple installs.

It would also be useful if the package could set a unique limit on the number of instances to keep rather than a single global entry for all packages in the installonlypkgs list

Version-Release number of selected component (if applicable):
yum-3.2.29-17.el6 (6.1)

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
Need to manually edit yum.conf correctly or hack source correctly

Expected results:
Some method for a package to dynamically add itself to the installonlypkgs list


Additional info:

The basis for this is the rhev-hypervisor package.  It lays down only an iso file (that is versioned) and there is a strong use case for side by side installs.  

The rhev-hypervisor package is being renamed such that rhel 6 versions will be rhev-hypervisor6 and rhel 5 versions are rhev-hypervisor5.  This will continue to going forward with rhel 7, rhel 8, etc, so adding the package in the config.py file would be a temporary fix.
Comment 2 RHEL Product and Program Management 2012-06-11 21:28:23 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-10-10 07:53:36 EDT
Thank you for submitting this issue for consideration. Red Hat Enterprise Linux 5 has reached the end of Production 1 Phase of its Life Cycle.  Red Hat does not plan to incorporate the suggested capability in a future Red Hat Enterprise Linux 5 minor release. If you would like Red  Hat to re-consider this feature request and the requested functionality is not currently in Red Hat Enterprise Linux 6, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.